<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <LinearLayout
        android:id="@+id/loading_ll"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/white"
        android:visibility="visible">

        <LinearLayout
            android:layout_width="match_parent"
            android:gravity="center"
            android:layout_height="match_parent">
            <com.github.ybq.android.spinkit.SpinKitView
                android:id="@+id/spin_kit"
                style="@style/SpinKitView.Large.Circle"
                android:layout_width="@dimen/_35sdp"
                android:layout_height="@dimen/_35sdp"
                android:layout_gravity="center"
                app:SpinKit_Color="@color/dark_blue" />

        </LinearLayout>
    </LinearLayout>

    <!-- No data -->
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:id="@+id/ll_empty"
        android:visibility="gone"
        android:orientation="vertical">

        <com.app.alliedmotor.utility.widgets.CustomRegularTextview
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="There is no such favourite with this account"
            android:layout_gravity="center"
            android:textSize="@dimen/_12sdp"
            android:textStyle="bold"
            />


    </LinearLayout>

    <LinearLayout
        android:id="@+id/main_ll"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:paddingBottom="@dimen/_5sdp"
        android:visibility="visible">
    <androidx.core.widget.NestedScrollView
        android:id="@+id/scrollView2"
        android:layout_width="match_parent"
        android:layout_height="fill_parent"
        android:fitsSystemWindows="true"
        >

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <CheckBox
                android:id="@+id/checkbox"
                android:layout_width="@dimen/_20sdp"
                android:layout_height="@dimen/_15sdp"
                android:layout_marginTop="40dp"
                android:layout_marginEnd="120dp"
                android:buttonTint="@color/dark_blue"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.app.alliedmotor.utility.widgets.CustomRegularTextview
                android:id="@+id/tv_selectall"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"

                android:layout_marginEnd="50dp"
                android:text="Select All"
                app:layout_constraintBottom_toBottomOf="@+id/checkbox"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintLeft_toRightOf="@id/checkbox"
                app:layout_constraintTop_toTopOf="@+id/checkbox" />


            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_favourite"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="16dp"
                android:layout_marginTop="24dp"
                android:layout_marginEnd="16dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/checkbox" />


        </androidx.constraintlayout.widget.ConstraintLayout>
    </androidx.core.widget.NestedScrollView>


    </LinearLayout>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:gravity="bottom"
        android:layout_marginLeft="@dimen/_10sdp"
        android:layout_marginRight="@dimen/_10sdp"
        android:weightSum="1"
        android:visibility="visible"
        android:layout_alignParentBottom="true"
        android:id="@+id/button_ll"
        android:layout_below="@id/main_ll"
        android:orientation="horizontal">
        <com.app.alliedmotor.utility.widgets.CustomRegularButton
            android:id="@+id/bt_addtoquote"
            android:layout_width="0dp"
            android:layout_height="@dimen/_40sdp"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="16dp"
            android:layout_weight="0.5"
            android:backgroundTint="@color/add_quote_bg"
            android:textColor="@color/white"
            android:textAllCaps="false"
            android:text="Add to Quote" />


        <com.app.alliedmotor.utility.widgets.CustomRegularButton
            android:id="@+id/bt_delete"
            android:layout_width="0dp"
            android:layout_height="@dimen/_40sdp"
            android:layout_marginStart="16dp"
            android:layout_marginEnd="16dp"
            android:layout_weight="0.5"
            android:backgroundTint="@color/grey_delete"
            android:textColor="@color/white"
            android:textAllCaps="false"
            android:text="Delete"  />


    </LinearLayout>

</RelativeLayout>
